#
# spec file for package squashfs (Version 3.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

# Commandline: 
Name:           squashfs
BuildRequires:  zlib-devel
License:        GPL v2 or later
Group:          System/Filesystems
Supplements:    filesystem(squashfs)
Version:        3.2
Release:        58.1
Source0:        %{name}%{version}-r2.tar.bz2
Patch:          squashfs-retval.patch
Patch1:         squashfs-slab_change.patch
URL:            http://squashfs.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Read-Only File System with Efficient Compression

%description
This package contains the userland utilities to create and read
squashfs images.



Authors:
--------
    Phillip Lougher

%prep
%setup -n %{name}%{version}-r2
%patch
%patch1

%build
make -C squashfs-tools \
	CFLAGS="-I. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE $RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -p squashfs-tools/*squashfs $RPM_BUILD_ROOT/usr/bin
chmod 644 *READ* *CHANGE*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES README-3.2 PERFORMANCE.README
/usr/bin/*squashfs

%changelog
* Thu Aug 23 2007 olh@suse.de
- move kernel driver to kernel-binary.rpm
* Thu Aug 16 2007 cthiel@suse.de
- Supplements: filesystem(squashfs)
* Wed Jun  6 2007 ro@suse.de
- fix build with current kernel
* Wed Apr  4 2007 lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 29 2007 rguenther@suse.de
- added zlib-devel BuildRequires.
* Tue Jan 23 2007 ro@suse.de
- update to 3.2r2
  - Kernel patches 2.6.19/2.6.20 have been updated to use
    const structures and mutexes rather than older semaphores.
  - Minor SMP bug fixes.
  - Progress bar broken on x86-64.  Fixed.
- update to 3.2
  - Improvements:
  - Squashfs filesystems can now be exported via NFS.
  - Unsquashfs now supports 2.x filesystems.
  - Mksquashfs now displays a progress bar.
  - Squashfs kernel code has been hardened against accidently or
    maliciously corrupted Squashfs filesystems.
  - Bug fixes:
  - Race condition occurring on S390 in readpage() fixed.
  - Odd behaviour of MIPS memcpy in read_data() routine worked-around.
  - Missing cache_flush in Squashfs symlink_readpage() added.
- update to 3.1r2
  - A code optimisation after testing unfortunately
    broke sorting in Mksquashfs.  This has been fixed.
* Mon Aug 21 2006 ro@suse.de
- update to version 3.1 to fix build on 2.6.18
* Thu May 11 2006 duwe@suse.de
- packaged current version for SuSE Linux.
